const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const cms_pages = sequelize.define(
    'cms_pages',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

page_key: {
        type: DataTypes.ENUM,
      
      

        values: [

"about_us",


"contact_us",


"privacy_policy",


"terms_and_conditions",


"faqs"

        ],

      },

title_ar: {
        type: DataTypes.TEXT,
      
      

      },

title_en: {
        type: DataTypes.TEXT,
      
      

      },

content_ar: {
        type: DataTypes.TEXT,
      
      

      },

content_en: {
        type: DataTypes.TEXT,
      
      

      },

is_published: {
        type: DataTypes.BOOLEAN,
      
        allowNull: false,
        defaultValue: false,
      
      

      },

published_at: {
        type: DataTypes.DATE,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  cms_pages.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity












































//end loop






    db.cms_pages.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.cms_pages.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return cms_pages;
};


